org.apache.xmlbeans.impl.xb.xsdschema

## Interface TopLevelSimpleType

All Superinterfaces:
  Annotated, OpenAttrs, SimpleType, XmlObject, XmlTokenSource

All Known Implementing Classes:
  TopLevelSimpleTypeImpl

    public interface TopLevelSimpleType
    extends SimpleType

An XML topLevelSimpleType(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static DocumentFactory<TopLevelSimpleType>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getName()` Gets the "name" attribute
`boolean` `isSetName()` True if has "name" attribute
`void` `setName(String name)` Sets the "name" attribute
`void` `unsetName()` Unsets the "name" attribute
`XmlNCName` `xgetName()` Gets (as xml) the "name" attribute
`void` `xsetName(XmlNCName name)` Sets (as xml) the "name" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.SimpleType

`addNewList, addNewRestriction, addNewUnion, getFinal, getList, getRestriction, getUnion, isSetFinal, isSetList, isSetRestriction, isSetUnion, setFinal, setList, setRestriction, setUnion, unsetFinal, unsetList, unsetRestriction, unsetUnion, xgetFinal, xsetFinal`

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final DocumentFactory<TopLevelSimpleType> Factory

#### type

    static final SchemaType type

### Method Detail

#### getName

    String getName()

Gets the "name" attribute

Specified by:
  `getName` in interface `SimpleType`

#### xgetName

    XmlNCName xgetName()

Gets (as xml) the "name" attribute

Specified by:
  `xgetName` in interface `SimpleType`

#### isSetName

    boolean isSetName()

True if has "name" attribute

Specified by:
  `isSetName` in interface `SimpleType`

#### setName

    void setName(String name)

Sets the "name" attribute

Specified by:
  `setName` in interface `SimpleType`

#### xsetName

    void xsetName(XmlNCName name)

Sets (as xml) the "name" attribute

Specified by:
  `xsetName` in interface `SimpleType`

#### unsetName

    void unsetName()

Unsets the "name" attribute

Specified by:
  `unsetName` in interface `SimpleType`